Show / Hide Table of Contents

# Class SocketUnknownUser

Represents a WebSocket-based user that is yet to be recognized by the client.

##### Inheritance

System.Object
SocketEntity<System.UInt64>
SocketUser
SocketUnknownUser

##### Implements

IUser
ISnowflakeEntity
IEntity<System.UInt64>
IMentionable
IPresence

##### Inherited Members

SocketUser.CreatedAt
SocketUser.Discriminator
SocketUser.Mention
SocketUser.Activity
SocketUser.Status
SocketUser.ActiveClients
SocketUser.MutualGuilds
SocketUser.GetOrCreateDMChannelAsync(RequestOptions)
SocketUser.GetAvatarUrl(ImageFormat, UInt16)
SocketUser.GetDefaultAvatarUrl()
SocketUser.ToString()
SocketEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public class SocketUnknownUser : SocketUser, IUser, ISnowflakeEntity, IEntity<ulong>, IMentionable, IPresence

##### Remarks

A user may not be recognized due to the user missing from the cache or failed to be recognized properly.

### Properties

| Improve this Doc View Source

#### AvatarId

##### Declaration

    public override string AvatarId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Overrides

SocketUser.AvatarId
| Improve this Doc View Source

#### DiscriminatorValue

##### Declaration

    public override ushort DiscriminatorValue { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

##### Overrides

SocketUser.DiscriminatorValue
| Improve this Doc View Source

#### IsBot

##### Declaration

    public override bool IsBot { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

SocketUser.IsBot
| Improve this Doc View Source

#### IsWebhook

##### Declaration

    public override bool IsWebhook { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

SocketUser.IsWebhook
| Improve this Doc View Source

#### Username

##### Declaration

    public override string Username { get; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Overrides

SocketUser.Username

### Implements

IUser
ISnowflakeEntity
IEntity<TId>
IMentionable
IPresence